#!/usr/bin/env python3

"""Grupo de rotas para autenticação."""
from fastapi import APIRouter, Body, Form

from baobaxia.core.baobaxia_api import bbx

router = APIRouter(tags=["Autenticação"])


@router.post("/auth", response_model=dict, summary="Autenticar mocambola")
async def authenticate(*, username: str = Body(...), password: str = Body(...)):
    """Autenticar mocambola."""
    return bbx.baobaxia.authenticate(username, password)


@router.get("/session", summary="Sessão ativa de mocambola")
async def get_session(*, token: str):
    """Retorna a sessão ativa de mocambola."""
    return bbx.baobaxia.get_session(token)


@router.post("/recover", response_model=dict, summary="Recuperar acesso de mocambola")
async def recover(*, username: str = Form(...), recovery_answer: str = Form(...)):
    """Recuperar mocambola."""
    return bbx.baobaxia.authenticate(username, recovery_answer=recovery_answer)
