#!/usr/bin/env python3

from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

from baobaxia.api.v2.api import api_router

ALLOW_CORS = True

app = FastAPI()

if ALLOW_CORS:
    app.add_middleware(
        CORSMiddleware,
        allow_origins=["*"],
        allow_credentials=True,
        allow_methods=["*"],
        allow_headers=["*"],
    )


# api.mount("/", StaticFiles(directory="static"), name="static")

app.include_router(api_router, prefix="/api/v2")
